
<!DOCTYPE html>

<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  <div id="app">
    <button onclick="vm.openForm()">openForm</button>
    <h1>{{`Nilai a:${a}`}}</h1>
    <h2>{{`Rata2:${rata2}`}}</h2>

  </div>
  
  <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
  <script>
   var vm = new Vue({
      el: '#app',
      data: {
        a:0,
        rata2:0
      },
      computed : {
         
      
        }
      ,
      methods : {
          openForm:function(){

              let value=0;
              let count=0;
              while(value <=10){
                  let input=parseInt(prompt("Masukan nilai a:"));
                  value+=input;
                  count+=1;
              }

              this.a=value;
              this.rata2=value/count;

          }
      }
  })
  </script>
</body>
</html>